Bug 13776 - winbindd idmap child may crash in tldap due to a use after free
winbindd idmap child may crash in tldap due to a use after free
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-05 13:24 UTC by Ralph Böhme
Modified: 2019-02-22 08:32 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8, 4.9 and 4.10 cherry-picked from master (9.32 KB, patch)
2019-02-07 10:20 UTC, Ralph Böhme
asn: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2019-02-05 13:24:43 UTC
winbindd idmap child may crash in tldap due to a use after free. Not as bad as it sounds, this only gets triggered in error conditions on the LDAP connection/request.
Comment 1 Ralph Böhme 2019-02-07 10:20:36 UTC
Created attachment 14835 [details]
Patch for 4.8, 4.9 and 4.10 cherry-picked from master
Comment 2 Jeremy Allison 2019-02-08 23:47:25 UTC
Comment on attachment 14835 [details]
Patch for 4.8, 4.9 and 4.10 cherry-picked from master

LGTM.
Comment 3 Jeremy Allison 2019-02-08 23:47:52 UTC
Re-assigning to Karolin for inclusion in 4.10.rcNext, 4.9.next, 4.8.next.
Comment 4 Andreas Schneider 2019-02-09 18:43:36 UTC
Shouldn't we add a comment at least in master that it should not be called? Not that someone adds it again?
Comment 5 Karolin Seeger 2019-02-21 11:24:09 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{10,9,8}-test.
Comment 6 Karolin Seeger 2019-02-22 08:32:16 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!